[List] Games required Firmware version

Discussion in 'Switch - Hacking & Homebrew' started by B4rtj4h, Oct 5, 2017.

  1. MonMonz

    MonMonz Advanced Member

    Newcomer
    62
    7
    Nov 7, 2014
    Egypt
    Any idea what would be the required update for "NIGHTS OF AZURE 2"
     
  2. Resaec

    Resaec GBAtemp Regular

    Member
    104
    56
    Dec 19, 2017
    Germany
    I got no data on Nights of Azure 2.
    If you got any please share.
     
  3. bubulle

    bubulle Member

    Newcomer
    41
    9
    Nov 22, 2016
    France
    I just bought TLOZBOTW yesterday for my childrens...the cartridge is 001; the version on it is 1.3.1 (released 8-8-17 on NUS), the game don't ask me to update. (my swith is already in FW 3.02 due to the SMO initial required update on cartridge).
     
    Last edited by bubulle, Jan 14, 2018
    B4rtj4h likes this.
  4. Resaec

    Resaec GBAtemp Regular

    Member
    104
    56
    Dec 19, 2017
    Germany
    That's correct, BotW rev 001 requires 3.0.1
     
  5. Bimmel

    Bimmel ~ Game Soundtrack Collector ~

    Member
    1,582
    861
    Jan 28, 2014
    Gambia, The
    Thanks for reminding me to buy Pokemon Tekken. Who knows when a new revision may come.
     
  6. Y0sh1

    Y0sh1 Newbie

    Newcomer
    9
    3
    Dec 31, 2017
    Ireland
    I figured this might help some people get the right Zelda without opening the box
    [​IMG]
     
    B4rtj4h and 8BitWonder like this.
  7. Resaec

    Resaec GBAtemp Regular

    Member
    104
    56
    Dec 19, 2017
    Germany
    I dont know why the number is different, but I have to state that this is NOT a safe indicator!
    All my friends own a copy of Breath of the Wild from the launch month and still share the same T1 as my 001 revision BotW boxing.
    Non the less this is an interesting find. There is close to zero input on this problem from most board members.
    With more information about this we might be able to determin that this T2 might really state its a 100% 3.0.1+ guarantee, but a T1 box is sadly NOT a rev 000 guarantee!
     
    Rauliki likes this.
  8. lordelan

    lordelan GBAtemp Advanced Maniac

    Member
    1,816
    530
    Jan 4, 2015
    Gambia, The
    I heard that it's possible to get the update for Mario Kart 8 Deluxe by playing local multiplayer.
    That means my vanilla game would detect, that my mate has a newer version of the game and asks me to download it.
    But even if that is true, I would most likely get the newest update from him (1.4) which implements the video recording feature of the new firmware so I won't be able to start the game on my 3.0.0 Switch, right?
     
  9. b_dasher

    b_dasher Newbie

    Newcomer
    4
    1
    Sep 4, 2017
    Canada
    Do the newer copies of Mario Kart 8 Deluxe come with the game updates on the cartridge or do you still have to download them?
     
  10. Resaec

    Resaec GBAtemp Regular

    Member
    104
    56
    Dec 19, 2017
    Germany
    I heard this about the tabletop mode, but I can't remember the specifics.
    This is in fact quite scary. It would be nice to know whether you could remove the game update by removing the SD-Card or wiping the game from the SD or internal memory.
    If this is not possible you would brick the game on your console.
    But I don't think it would force an system update even if it were to download it from your friends console.

    It't to be seen whether you are even able to play with him without updating the game. I guess Nintendo enforces at least a 4.0.0 console with the newest update.
     
  11. lordelan

    lordelan GBAtemp Advanced Maniac

    Member
    1,816
    530
    Jan 4, 2015
    Gambia, The
    No it won't do a system update lol. My concern is that I can't launch the game any longer on 3.0.0 when it's updated to implement features (like video recording) which have been introduced by 4.x firmwares.

    However I'm pretty sure I could just delete the update via system settings whenever I want but my savegame would be gone. That's what I fear at least.
     
  12. CSpiritsong

    CSpiritsong Newbie

    Newcomer
    1
    3
    Jan 13, 2018
    Malaysia
    Hi. I don't know if this helps. I took a plunge for xenoblade, so it updated from 3.0.0 to 3.0.2, not 3.0.1 as stated.
    Box says

    HAC P ADENB MSE TRA-HAC-ADENB-MSE


    Cart front says
    LA-H-ADENB-USA

    Cart back says

    HAC-008
    ADENB22A000

    But firmware force upgrades to 3.0.2 not 3.0.1
     
    B4rtj4h, Nah3DS and lordelan like this.
  13. Nah3DS

    Nah3DS Madre de Dios! Es El POLLO DIABLO!!!

    Member
    3,712
    1,980
    Feb 9, 2010
    Argentina
    Thanks for the info
    I think the list should be updated
     
    Last edited by Nah3DS, Jan 19, 2018 at 1:16 PM
    B4rtj4h and CSpiritsong like this.
  14. yee

    yee DOTA 4EVER

    Member
    584
    6
    Jul 9, 2006
    Canada
    Vancouver
    Quick question. It says that Super Mario Odyssey requires 3.0.1 to play, but Day 1 patch requires 4.0.0.

    Does that only matter if I download the patch? And doesn't matter if my Switch is on 3.0.1 and has never been connected to the internet?
     
  15. lordelan

    lordelan GBAtemp Advanced Maniac

    Member
    1,816
    530
    Jan 4, 2015
    Gambia, The
    Exactly. By putting in the cartridge without being connected to the internet you will receive the 3.0.1 update.
     
  16. Player-1

    Player-1 Advanced Member

    Newcomer
    52
    25
    Jul 18, 2016
    United States
    is super mario odyssey played from the game card fully playable from beginning to end without the day 1 patch? will there be any game braking bugs, graphical glitches or noticeable frame drops without it?
     
  17. bubulle

    bubulle Member

    Newcomer
    41
    9
    Nov 22, 2016
    France

    Which version you have on your cartridge ? because when i inserted mine (v 1.1.0) to play on my 3.01 fw switch, it asked me to update to 3.02? (no internet parameters of course)
     
  18. Resaec

    Resaec GBAtemp Regular

    Member
    104
    56
    Dec 19, 2017
    Germany
    Check the revision on the cartridge with the thread in my signature. You will see whether it needs a newer FW.
    If it's not listed make a post please
     
  19. Tamamo

    Tamamo Newbie

    Newcomer
    2
    1
    Friday
    Denmark
    Just want to say that I bought BotW from Amazon with the 001 number, but it required me to get the 3.0.2 firmware.
     
    B4rtj4h likes this.
  20. Resaec

    Resaec GBAtemp Regular

    Member
    104
    56
    Dec 19, 2017
    Germany
    BotW with rev 001 requires 3.0.1 to be played. It might contain 3.0.2 as an update tho.
    How do you know its 3.0.2? Did you update? If so did you clear the update cache beforehand?